VERSION 5.00
Object = "{A5C40411-6715-11D3-833D-00104B63E709}#1.0#0"; "HETM3270.dll"
Begin VB.Form frmVisualPhoneSearch 
   Caption         =   "Visual Phone Search"
   ClientHeight    =   10635
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6375
   LinkTopic       =   "Form1"
   ScaleHeight     =   10635
   ScaleWidth      =   6375
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox txtSearch 
      Height          =   405
      Left            =   1920
      TabIndex        =   1
      Top             =   4800
      Width           =   4335
   End
   Begin VB.Frame frameResults 
      Caption         =   "Results"
      Height          =   4935
      Left            =   1920
      TabIndex        =   8
      Top             =   5400
      Width           =   4335
      Begin VB.TextBox txtMsgArea 
         Height          =   4455
         Left            =   120
         MultiLine       =   -1  'True
         ScrollBars      =   2  'Vertical
         TabIndex        =   0
         TabStop         =   0   'False
         ToolTipText     =   "Shows results from host"
         Top             =   360
         Width           =   4095
      End
   End
   Begin VB.PictureBox pic3270 
      Height          =   615
      Left            =   720
      Picture         =   "VisualSearch.frx":0000
      ScaleHeight     =   555
      ScaleWidth      =   555
      TabIndex        =   7
      TabStop         =   0   'False
      Top             =   8640
      Width           =   615
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   615
      Left            =   240
      TabIndex        =   5
      ToolTipText     =   "Exits program"
      Top             =   7800
      Width           =   1575
   End
   Begin VB.CommandButton cmdClear 
      Caption         =   "&Clear Msg Box"
      Height          =   615
      Left            =   240
      TabIndex        =   4
      ToolTipText     =   "Clears the Message Box"
      Top             =   7080
      Width           =   1575
   End
   Begin VB.CommandButton cmdDisconnect 
      Caption         =   "&Disconnect"
      Height          =   615
      Left            =   240
      TabIndex        =   3
      ToolTipText     =   "Disconnects from host"
      Top             =   6360
      Width           =   1575
   End
   Begin VB.CommandButton cmdRunScript 
      Caption         =   "&Run Script"
      Height          =   615
      Left            =   240
      TabIndex        =   2
      ToolTipText     =   "Connects to Host"
      Top             =   5640
      Width           =   1575
   End
   Begin HE3270TerminalLibCtl.HE3270Terminal hetermHE3270Terminal1 
      Height          =   4575
      Left            =   0
      OleObjectBlob   =   "VisualSearch.frx":01D1
      TabIndex        =   6
      TabStop         =   0   'False
      Top             =   0
      Width           =   6255
   End
   Begin VB.Label lblSearch 
      Caption         =   "Enter Search String:"
      Height          =   255
      Left            =   240
      TabIndex        =   9
      Top             =   4920
      Width           =   1575
   End
End
Attribute VB_Name = "frmVisualPhoneSearch"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim Parser As Object  ' HEParser3270        'assigned address from HETerminal
Dim nAid As VirtualKey                      'requires VTKeys.Bas module
Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)
Dim strdataline As String


' Sub cmdClear_Click clears the Text box where the data is shown

Private Sub cmdClear_Click()
    txtMsgArea.Text = ""
End Sub

' Sub cmdDisconnect_Click Disconnects the current session

Private Sub cmdDisconnect_Click()
    If cmdRunScript.Enabled Then
       hetermHE3270Terminal1.Disconnect
       txtSearch.Text = ""
    End If
End Sub

' Sub cmdRunScript_Click connects to the host and then moves through a series of screens using
' the Host Explorer Parser SendAid method to get to the phone directory within the mainframe.
' Once there, the name being sought is sent.  The data is then selected, copied and displayed
' using the Parser Getsel and SetSel methods.

Private Sub cmdRunScript_Click()
    
   'Disabling other buttons so they can't be used while script is running
    
    If txtSearch.Text = "" Then
        MsgBox "Enter A Name to Search For", , "VisualPhoneSearch"
        Exit Sub
    End If
    
    cmdRunScript.Enabled = False
    cmdDisconnect.Enabled = False
    cmdExit.Enabled = False
    
    hetermHE3270Terminal1.Disconnect  ' Disconnecting any previous script
    
    hetermHE3270Terminal1.Host = "vm1.mcgill.ca"    ' Setting host to connect to
    hetermHE3270Terminal1.Connect                    ' Connecting to host
    
    Set Parser = hetermHE3270Terminal1.Parser       ' Creating Parser object
    Parser.WaitConnected (10)                       ' Waiting for parser to connect
    
    If (hetermHE3270Terminal1.Connected = False) Then
        MsgBox "Can't Connect to host", , "VisualPhoneSearch"
        cmdRunScript.Enabled = True
        cmdDisconnect.Enabled = True
        cmdExit.Enabled = True
        Exit Sub
    End If
              
    txtMsgArea.Text = "Session Connected"
    
    nAid = VK3_ENTER                                ' Setting nAid variable to send Enter (using the VirtualKeyDefs module)
    Parser.SendAid (nAid)                           ' Sending Enter to the host
    rc = Parser.WaitForString("cp read", 24, 10, False) 'Looking for text at specific cursor location
    txtMsgArea.Text = txtMsgArea.Text & vbCrLf & "Enter Pressed: rc=" & rc  ' Sending return code to the text box
    
    nAid = VK3_PF3
    Parser.SendAid (nAid)                           'Sending PF3 key to host
    rc = Parser.WaitForString("command ===>", 3, 10, False)
    txtMsgArea.Text = txtMsgArea.Text & vbCrLf & "PF3 Pressed: rc=" & rc
    
    nAid = VK3_ENTER
    Parser.SendAid (nAid)
    rc = Parser.WaitForString("command ===>", 3, 10, False)
    txtMsgArea.Text = txtMsgArea.Text & vbCrLf & "Enter Pressed: rc=" & rc
    
    Parser.SendAid (VK3_NEWLINE)
    Parser.SendAid (VK3_NEWLINE)
    Parser.SendAid (VK3_NEWLINE)
    Parser.SendAid (VK3_ENTER)
    rc = Parser.WaitForString("McGill Telephone Book", 1, 10, False)
    txtMsgArea.Text = txtMsgArea.Text & vbCrLf & "newlines and enter sent: rc=" & rc
    
    Parser.SendKeys (txtSearch)
    Parser.SendAid (VK3_ENTER)
    rc = Parser.WaitForString("tab cursor", 1, 10, False)
    txtMsgArea.Text = txtMsgArea.Text & vbCrLf & "Text sent: rc=" & rc
    
    Parser.SendAid (VK3_ENTER)
    rc = Parser.WaitForString("entry:", 1, 10, False)
    txtMsgArea.Text = txtMsgArea.Text & vbCrLf & "Entry located: rc=" & rc
        
    Parser.ClearSel                 ' Clearing any previous selecting
    
    rc = Parser.SetSel(3, 3, 3, 80)     ' Selecting text at specified cursor position
    rc = Parser.GetSel(strdataline)     ' Getting selected text and putting it into variable
    txtMsgArea.Text = txtMsgArea.Text & vbCrLf & strdataline
    MsgBox "Script Finished.", , "VisualPhoneSearch"
    
    
    ' Re-Enabling buttons now that script is finished
  
    cmdRunScript.Enabled = True
    cmdDisconnect.Enabled = True
    cmdExit.Enabled = True

End Sub

' Sub cmdExit_Click disconnects session and closes the form

Private Sub cmdExit_Click()

     hetermHE3270Terminal1.Disconnect
     End

End Sub

' Sub Form_Unload makes sure the session is disconnected before form is closed

Private Sub Form_Unload(Cancel As Integer)
    
       hetermHE3270Terminal1.Disconnect

End Sub

