VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmScript 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Ohio Get Screen Script"
   ClientHeight    =   7830
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   8745
   Icon            =   "GetScreen.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   7830
   ScaleWidth      =   8745
   StartUpPosition =   2  'CenterScreen
   Begin MSComctlLib.StatusBar stbStatus 
      Align           =   2  'Align Bottom
      Height          =   375
      Left            =   0
      TabIndex        =   5
      Top             =   7455
      Width           =   8745
      _ExtentX        =   15425
      _ExtentY        =   661
      Style           =   1
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   1
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
         EndProperty
      EndProperty
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   6240
      TabIndex        =   2
      Top             =   6480
      Width           =   1695
   End
   Begin VB.TextBox Results 
      Height          =   4215
      Left            =   600
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   1
      Top             =   1920
      Width           =   7575
   End
   Begin VB.CommandButton cmdDisconnect 
      Caption         =   "&Disconnect"
      Enabled         =   0   'False
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   3480
      TabIndex        =   3
      Top             =   6480
      Width           =   1935
   End
   Begin VB.CommandButton cmdStart 
      Caption         =   "&Start Script"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   840
      TabIndex        =   0
      Top             =   6480
      Width           =   1815
   End
   Begin VB.Label lbl1 
      BackColor       =   &H80000000&
      Caption         =   "Hummingbird Connectivity"
      Height          =   255
      Left            =   720
      TabIndex        =   6
      Top             =   1560
      Width           =   1935
   End
   Begin VB.Label Label3 
      Caption         =   "       OHIO Scripting"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   2520
      TabIndex        =   4
      Top             =   720
      Width           =   3375
   End
End
Attribute VB_Name = "frmScript"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'These objects are available once HEOHIO 1.0 Type Library has been added as a reference to your project
Dim OManager As HEOHIOLib.OhioManager
Dim OSession  As OhioSession
Dim OScreen As OhioScreen
Dim OFields As OhioFields
Dim OField As OhioField

Dim oPos, oPosStart As OhioPosition

Dim strProfile, strSessionName As String
Dim TextLine As String
Dim ODir As OHIO_DIRECTION
Dim iLen As Long
'
'This project requires that the HEOHIO 1.0 Type Library be added as a reference to your project
'  via the Project | References menu option on the MS-VB menu.
'The script connects to a 3270 screen that provides a weather forecast, and displays the screens
'  that it gets as it navigates down a menu hierarchy. Once at the weather forecast screen, it then
'  pops up a msgbox before clearing the results area and displaying the weather information.
'The profile needs to point to vm1.mcgill.ca. Note that the initial calls illustrate pressing keys,
'  navigation, and error checking; once the desired set of screens is reached, the code illustrates
'  stepping through fields using the OHIO calls. Note as well that a simple wrapper function (Wait) is
'  defined here, simply to set various parameters and to handle the not-found condition.
'

Private Sub cmdDisconnect_Click()
    OSession.Disconnect
    OManager.CloseSession (strSessionName)
    
    cmdDisconnect.Enabled = False
    
    stbStatus.SimpleText = "Session disconnected and closed"
End Sub

Private Sub cmdExit_Click()
    Unload Me   'forces the program to go through the Form_Unload Event
End Sub

Private Sub cmdStart_Click()
    Dim inc As Integer

    cmdStart.Enabled = False  'Limits user input when cmdStart script is running
    cmdDisconnect.Enabled = False
    cmdExit.Enabled = False
    
    
    strProfile = ".\3270Host.hep"     'the profile is included in the current directory
    strSessionName = "vm1.mcgill.ca"

        'This call to CreateObject instantiates the OhioManager object
    Set OManager = CreateObject("HEOhio.OhioManager")
    lbl1.Caption = OManager.VendorName
    lbl1.Caption = lbl1.Caption & " " & OManager.VendorProductVersion

        'The call to OpenSession creates a session instance based on the .HEP
        'profile and sessionname
    Set OSession = OManager.OpenSession(strProfile, strSessionName)
    
        'The Screen interface is available once a session has been created from the
        'Screen property of the Session interface.
    Set OScreen = OSession.Screen

        'The call to Connect actually makes the connection to the host
        'named in the .HEP file - we must use the isConnected method to
        'test for a successful connection
    OSession.Connect
    If (OSession.isConnected) Then
       stbStatus.SimpleText = "Connected."
    Else
      stbStatus.SimpleText = "Connection failed."
       MsgBox ("Connection failed")
       Exit Sub
    End If

        'Wait is defined below - it's just a wrapper function around the
        'WaitForString method of the Screen interface
    Set oPos = Wait("VM/ESA ONLINE")
    
    If oPos Is Nothing Then Exit Sub
    
    stbStatus.SimpleText = "Found String: VM/ESA ONLINE"
    Results.Text = Results.Text & OScreen.String
    
       'When Nothing is the second parameter, by default
       'the keys are sent to the current cursor location
    OScreen.SendKeys "[enter]", Nothing
    Set oPos = Wait("infoMcGill")
     
    If oPos Is Nothing Then Exit Sub
    
    stbStatus.SimpleText = "Found String: infoMcGill"
    Results.Text = Results.Text & OScreen.String

       'All function keys are of the form: pfx where "x" is the function key #
    OScreen.SendKeys "[pf3]", Nothing
    Set oPos = Wait("Command")
    
    If oPos Is Nothing Then Exit Sub
    
    stbStatus.SimpleText = "Found String: command"
    Results.Text = Results.Text & OScreen.String
    
        'Special keys such as "tab" are denoted by [tab] Normal keyboard characters are
        'represented by themselves (eg. logon is sent as "logon") Note that in the
        'help file for the SendKeys method, you can find a pointer to a list of mnemonic
        'keywords to send special functions or AID keys, at the bottom of the help page.
    OScreen.SendKeys "weather[enter]", Nothing
    Set oPos = Wait("ENVIRONMENT")
       
    If oPos Is Nothing Then Exit Sub
    
    stbStatus.SimpleText = "Found String: environment"
    Results.Text = Results.Text & OScreen.String

       'Once a screen has been received, it can be searched. Although we've just found
       'the string "ENVIRONMENT", since we've waited on it, this code illustrates searching
       'through the virtual screen that we currently have using the FindString method. Note that
       'if the string isn't found, then NOTHING is returned.
    ODir = OHIO_DIRECTION_FORWARD
    iLen = 400
        'Set oPosStart = OManager.CreateOhioPosition(1, 1)
    Set oPosStart = OSession.CreateOhioPosition(1, 1)
    Set oPos = OScreen.FindString("ENVIRONMENT", oPosStart, iLen, ODir, True)
    
    If (oPos Is Nothing) Then
        stbStatus.SimpleText = "String Not found - environment"
        MsgBox ("String not found - environment")
        Exit Sub
    Else
        stbStatus.SimpleText = "FindString - position located: environment"
    End If
    
    Results.Text = Results.Text & OScreen.String
    
        'Just a pause to allow the user to view the dumped screen data, before clearing it
    MsgBox ("Press OK to Clear Screen data and Continue ...")

    'extract the data from the forecast
    Results.Text = ""

    Do
    
        inc = 1
        Do
                'This code illustrates the use of the FindByPosition method. Note that
                'it's a bit kludgy since this particular screen has blank lines. As each
                'field is extracted it's displayed in the Textbox delimited by a CRLF.
            Set OFields = OScreen.Fields
            Set oPosStart = OSession.CreateOhioPosition(oPos.Row + inc, 2)
            Set OField = OFields.FindByPosition(oPosStart)
            
            If (OField.Start.Row = (oPos.Row + inc)) Then
               TextLine = Trim(OField.String)
               Results.Text = Results.Text & TextLine & vbCrLf
            End If
            
            inc = inc + 1
        Loop Until inc = 17

          'check if there is more by looking at the "More..." paging indicator
          ' The position is approximated to just the line number, in order to make
          ' the script a bit more robust - FindString will handle it.
      Set oPosStart = OSession.CreateOhioPosition(22, 1)
      Set oPos = OScreen.FindString("More...", oPosStart, iLen, ODir, True)
    
          'press PF8 to go down a page
      If Not (oPos Is Nothing) Then
          OScreen.SendKeys "[pf8]", Nothing
          Set oPos = Wait("ENVIRONMENT")
          If oPos Is Nothing Then Exit Sub
          stbStatus.SimpleText = "Downpage - found string: environment"
      End If

    Loop Until oPos Is Nothing
    stbStatus.SimpleText = "Script Finished"
    cmdStart.Enabled = True
    cmdDisconnect.Enabled = True
    cmdExit.Enabled = True
End Sub

Private Function Wait(sSearch As String) As OhioPosition
    Dim iRow, iCol, iFlag As Integer
    Dim iTimeOut As Long
    Dim bIgnoreCase As Boolean
    
    iRow = 1
    iCol = 1
    iFlag = 2
    iTimeOut = 10
    bIgnoreCase = True
    
    Set Wait = OScreen.WaitForString(sSearch, iRow, iCol, iFlag, iTimeOut, bIgnoreCase)
    If (Wait Is Nothing) Then
       MsgBox ("Wait failed - string not found: " & sSearch)
    End If
End Function

Private Sub Form_Unload(Cancel As Integer)
    If OSession Is Nothing Then
        'Do nothing an instance of OSession has not been created
    Else
        If OSession.isConnected Then
            OSession.Disconnect
        End If
    End If
    End
End Sub




