VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Ohio Script"
   ClientHeight    =   7935
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8760
   LinkTopic       =   "Form1"
   ScaleHeight     =   7935
   ScaleWidth      =   8760
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdExit 
      Caption         =   "&Exit"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   3720
      TabIndex        =   8
      ToolTipText     =   "Closes the program"
      Top             =   720
      Width           =   1335
   End
   Begin VB.TextBox txtsearch 
      Height          =   285
      Left            =   5280
      TabIndex        =   6
      Text            =   "brown"
      Top             =   1080
      Width           =   2655
   End
   Begin VB.TextBox txtResults 
      Height          =   4215
      Left            =   480
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   5
      Text            =   "PhoneSearch.frx":0000
      Top             =   3000
      Width           =   7575
   End
   Begin VB.CommandButton cmdDisconnect 
      Caption         =   "&Disconnect"
      Enabled         =   0   'False
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   2160
      TabIndex        =   4
      ToolTipText     =   "Disconnects current session"
      Top             =   720
      Width           =   1335
   End
   Begin VB.CommandButton cmdStart 
      Caption         =   "&Start Script"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   480
      TabIndex        =   0
      ToolTipText     =   "Starts the script"
      Top             =   720
      Width           =   1455
   End
   Begin VB.Label slSearch 
      Caption         =   "Search For:"
      Height          =   255
      Left            =   5280
      TabIndex        =   7
      Top             =   720
      Width           =   1815
   End
   Begin VB.Label Label3 
      Caption         =   "Example of OHIO Scripting"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   2280
      TabIndex        =   3
      Top             =   120
      Width           =   3495
   End
   Begin VB.Label lbStatusLabel 
      Caption         =   "Status of Script"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   480
      TabIndex        =   2
      Top             =   1680
      Width           =   3255
   End
   Begin VB.Label lbStatus 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "stopped"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   480
      TabIndex        =   1
      Top             =   2040
      Width           =   7455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'These objects are available once HEOHIO 1.0 Type Library has been added as a reference to your project

'Variable Declarations.  All are OHIO objects

Dim OManager As HEOHIOLib.OhioManager
Dim OSession  As OhioSession
Dim OScreen As OhioScreen
Dim OFields As OhioFields
Dim OField As OhioField
Dim ODir As OHIO_DIRECTION
Dim OPos, OPosStart As OhioPosition

' Declaring string variables

Dim strProfile, strSessionName As String


' Sub Start_Click is called when the "Start Script" button is clicked on the Form.  The program
' then sets an existing profile for the strProfile variable and the session name.  Then the
' OManager, OSession and OScreen object variables are then set using the Hummingbird OHIO
' interfaces and the session is connected.  The script then moves through a series of screens
' and checks that the screens are coming up correctly.  Once the phone directory is reached,
' the search word, entered in the Form by the user, is searched for and the results are
' displayed.

Private Sub cmdStart_Click()

' The .hep file must be created through Host Explorer and exist in the
' path specified
strProfile = ".\3270Host.HEP"     'the profile is included in the current directory
strSessionName = "vm1.mcgill.ca"

cmdExit.Enabled = False
cmdDisconnect.Enabled = False
txtResults.Text = "Getting Info..."
Set OManager = CreateObject("HEOhio.OhioManager")

Set OSession = OManager.OpenSession(strProfile, strSessionName)

Set OScreen = OSession.Screen

' Connecting the session

OSession.Connect
If (OSession.isConnected) Then
   lbStatus.Caption = "Connected."
Else
   lbStatus.Caption = "Connection failed."
   MsgBox ("Connection failed")
   cmdExit.Enabled = True
   cmdDisconnect.Enabled = True
   txtResults.Text = "No Connection"
   Exit Sub
End If

' The following line calls the Wait function which returns a OhioPosition object.  If the
' returned object returns nothing, that means the sought for text was not found

Set OPos = Wait("VM/ESA ONLINE")
If OPos Is Nothing Then Exit Sub
lbStatus.Caption = "Found String: VM/ESA ONLINE"

OScreen.SendKeys "[enter]", Nothing
Set OPos = Wait("infoMcGill")
If OPos Is Nothing Then Exit Sub
lbStatus.Caption = "Found String: infoMcGill"

OScreen.SendKeys "[pf3]", Nothing
Set OPos = Wait("Command")
If OPos Is Nothing Then Exit Sub
lbStatus.Caption = "Found String: command"

OScreen.SendKeys "phone[enter]" & txtsearch.Text & "[enter][enter]", Nothing
Set OPos = Wait(txtsearch.Text)
If OPos Is Nothing Then Exit Sub
lbStatus.Caption = "Found String: " & txtsearch.Text


txtResults.Text = ""
Set OFields = OScreen.Fields
Set OPosStart = OSession.CreateOhioPosition(3, 1)
Set OField = OFields.FindByString(txtsearch.Text, OPosStart, 2000, OHIO_DIRECTION_FORWARD, True)
If (OField Is Nothing) Then
   MsgBox txtsearch.Text & " was not found"
Else
   txtResults.Text = Trim(OField.String)
   Set OField = OFields.FindByString("Tel:", OPosStart, 2000, OHIO_DIRECTION_FORWARD, True)
   If (Not (OField Is Nothing)) Then
      txtResults.Text = txtResults.Text & Trim(OField.String) & vbCrLf
   Else
      MsgBox txtsearch.Text & " was not found"
   End If
End If

lbStatus.Caption = "Script Finished"

cmdExit.Enabled = True
cmdDisconnect.Enabled = True

End Sub

' The Wait Function receives a string that is being sought on the current screen.  If the
' string is found, the Wait Function returns the position of the string on the screen in
' a OHIOPosition object.  If the string is not found, then nothing is returned.

Private Function Wait(strSearch As String) As OhioPosition

Dim iRow, iCol, iFlag As Integer
Dim iTimeOut As Long
Dim bIgnoreCase As Boolean

iRow = 1
iCol = 1
iFlag = 2
iTimeOut = 200
bIgnoreCase = True

Set Wait = OScreen.WaitForString(strSearch, iRow, iCol, iFlag, iTimeOut, bIgnoreCase)
If (Wait Is Nothing) Then
   MsgBox ("Wait failed - string not found: " & strSearch)
End If

End Function


' The Disconnect_Click sub Disconnects the session and closes it

Private Sub cmdDisconnect_Click()

 txtResults.Text = "Idle"
 OSession.Disconnect
 OManager.CloseSession (strSessionName)
 lbStatus.Caption = "Session disconnected and closed"
 cmdDisconnect.Enabled = False
End Sub

' The cmdExit_Click Sub checks if the session is connected, if it is,
' Disconnect_Click is called. The form is then closed.

Private Sub cmdExit_Click()
       
    ' If Start_Click was never pressed, then the object is set to nothing
    
    If Not OManager Is Nothing Then
        Call cmdDisconnect_Click
    End If
    End

End Sub
